### Function

# GLib set_prgname

since: 2.0

#### Declaration

    void
    g_set_prgname (
      const gchar* prgname
    )

#### Description

Sets the name of the program. This name should not be localized, in contrast to g_set_application_name().

If you are using `GApplication` the program name is set in g_application_run(). In case of GDK or GTK it is set in gdk_init(), which is called by `gtk_init()` and the `GtkApplication::startup` handler. The program name is found by taking the last component of `argv`[0].

Since GLib 2.72, this function can be called multiple times and is fully thread safe. Prior to GLib 2.72, this function could only be called once per process.

Available since: 2.0

#### Parameters

`prgname`

  Type: `const gchar*`

  The name of the program.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.